%global forgeurl    https://github.com/NanoMichael/cLaTeXMath
%global commit      580809b4c5177fa59a8a645987bbba105361b4a2

Name:           cLaTeXMath
Version:        0.0.3
Release:        3%{?dist}
Summary:        A dynamic and cross-platform LaTeX rendering library

%forgemeta

# MIT is the License of cLaTeXMath.
# The fonts are under different licenses:
# - eufb10.ttf, eufm10.ttf, msam10.ttf and msbm10.ttf are under OFL.
# - dsrom10.ttf is under DoubleStroke
# - stmary10.ttf and rsfs10.ttf are in the Public Domain
# - cmbsy10.ttf, cmbx10.ttf, cmbxti10.ttf, cmex10.ttf, cmmi10.ttf, cmr10.ttf,
# cmss10.ttf, cmssbx10.ttf, cmsy10.ttf and cmtt10.ttf are under Knuth
# License
# - The fonts in the cyrillic and greek subdirectories, as well as special.ttf,
# are under GPLv2
License:        MIT and OFL and Knuth and DoubleStroke and GPLv2 and Public Domain
URL:            %{forgeurl}
Source0:        %{forgesource}
# This license seems to be missing
Source1:        https://github.com/opencollab/jlatexmath/blob/master/LICENSE

BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtksourceviewmm-3.0)

%global _description %{expand:
It is a dynamic, cross-platform, and embeddable LaTeX rendering library. Its
main purpose is to display mathematical formulas written in LaTeX. It can be
embedded in applications on various platforms (Android, iOS, Windows, Linux GTK,
Qt...). The following pictures demonstrate the application run in Ubuntu (using
GTK) and Windows.}

%description %_description


%package devel
Summary:        %{summary}

Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(gtkmm-3.0)
Requires:       pkgconfig(gtksourceviewmm-3.0)

%description devel %_description


%package doc
Summary:        Additional documentation for cLaTeXMath

BuildArch:      noarch

%description doc %_description


%prep
%forgeautosetup

sed -e '0,/^# License/d' README.md > LICENSE

cp %{SOURCE1} LICENSE-JLATEXMATH


%build
%meson
%meson_build


%install
%meson_install


%files
%doc README.md
%license LICENSE LICENSE-JLATEXMATH res/fonts/licences/*
%{_datadir}/clatexmath
%{_libdir}/libclatexmath.so.0
%{_libdir}/libclatexmath.so.0.0.3


%files devel
%{_includedir}/clatexmath
%{_libdir}/libclatexmath.so
%{_libdir}/pkgconfig/clatexmath.pc


%files doc
%doc readme


%changelog
* Mon Mar 15 2021 Lyes Saadi <fedora@lyes.eu> - 0.0.3-3
- Adding a detailed licensing breakdown
- Adding the GPLv2+ License

* Sun Mar 14 2021 Lyes Saadi <fedora@lyes.eu> - 0.0.3-2
- Adding a -doc subpackage
- Separating the LICENSE from the README.md

* Sun Jan 17 2021 Lyes Saadi <fedora@lyes.eu> - 0.0.3-1
- Updating to latest version
- Following the weird upstream versioning

* Tue Jan 12 2021 Lyes Saadi <fedora@lyes.eu> - 0-2
- Updating to latest version

* Wed Nov 18 2020 Lyes Saadi <fedora@lyes.eu> - 0-1
- Initial package
